Kerbal Space Program - Bug #10087

Satelite orbit is changing with no input
07/05/2016 10:28 PM - Crusoe

Status: Duplicate Start date: 07/05/2016
Severity: Very Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

There was a similar thread in 1.1.2 and they said it was fixed in 1.1.3 but it is still there.

| completely deleted my game, | reinstalled, | even moved its folder so its a new version in new folder. And of course started new
game.

| still experience my apoapse changing even faster than before in 1.1.2.

| set a polar orbit 88.6km/910.15km (4 hour 00 minute 00 second) around mun so i can set two satellite opposite side (910.25x910.25
its 8hour 00minute) easily.

Everything works fine around Kerbin, then when | go to Mun it starts going crazy.

At the periapse as soon as | finished my burn to set the apoapse , it starts dropping fast... in couple of second from 910 its going
down under 900... even during my burn it already drops... | turned RCS off still experiencing the same. If | time warp it doesnt change
but when | stop it starts all over again. and my apoapse start dropping crazily... | even checked if fuel or monopropellant is being
used but they stay on same level.

| attached save file... | dont know if you know can check because | use good few mods.

And finally sorry for my bad english. :D

In the save file, go to the "Comsat Launcher" ship around mun and check how it apoapse is changing without input!

Related issues:

Related to Kerbal Space Program - Bug #9619: Orbital Decay/ Orbit changes wit... Closed 04/30/2016
Related to Kerbal Space Program - Bug #10330: Orbit changes without reason at... Duplicate 08/07/2016
History

#1 - 07/05/2016 11:14 PM - Crusoe
- File record1.mp4 added

| was trying to find out if | did something wrong | didn't find anything. | tried save/reload to fix it. | tried many things. After all tries failed | was making
this video 1-2 minute after after | left the periapsis (where | finished my burn making the apoapse to 910.25km) and so after 1-2 minute "flying" and its
already dropped 2-3km without.

#2 - 07/06/2016 09:11 AM - Crusoe

- File list.ckan added

- File Mun.Body.log added

- File output_log.txt added

And here | am adding some more files/information that | may have missed.

I'm running the game on windows 10 pro, 64 bit. Version 1.13, I'm launching it from Steam.

My Pc: Intel i5-45701 @ 3.2 GHz core, 8 GB memory. NVIDIA Geforce GTX 650 Ti graphic card. (If you need more details | can say)
My mod list. I'm using CKAN for modding, I'll attach the ckan export file here. In that you can see (even with just notepad) the list of mods (or | guess
You can import in ckan to get same version as | use)

While | was searching for logs | found this mun.body.log file, | added one log from log\Kopernicus maybe its relevant.

Just to make clean again. I'm using a new install.

Started new game few days ago.

Not using any saved files/craft files or anything like that.

Did not modify any .cfg files or anything like that.

Didn't even change anything in the options menu (except screen resolution, graphic settings, music volume and things like that) and debris count.

build id = 01289
2016.06.21 at 20:49:32 CEST
Branch: master

version is 1.1.3

#3 - 07/11/2016 11:17 AM - Crusoe
The bug | mentioned from 1.1.2 was #9619.

#4 - 07/12/2016 11:45 PM - Crusoe
- File list2.ckan added

| reinstalled the game, and | installed a bit less mods. | left out these mods (some of them | left out, some of them dependent with those mods that |
left out):

KerbalAlarmClock, TriggerAu-Flags, BetterCrewAssignment, KerbalJointReinforcement, StockVisualEnhancements, LaunchNumbering,
FerramAerospaceResearch,

PlanetShine, PlanetShine-Config-Default, RoverWheelSounds, StationScience, TacFuelBalancer, ProceduralFairings-ForEverything, FirespitterCore,
ProceduralFairings, ProceduralParts

Right now, without these mods, the bug did not showed up yet. I'm realy suspicous about the procedural parts/fairings causes this bug, because also
they look buggy in the VAB (green bubbles/attachment points show up in the air) and also | think the bug appeared after | installed those mods.
Maybe I'm wrong but I'd check those first. (To be fair | only checked it twice, once with hyperedit, and after it worked | also sent one spaceship with
two satellites, now they are perfectly working, no orbit changes occur).

The new modlist | will attach. So those mods which are not on this list but they are on the first list could cause the bug.

#5 - 07/17/2016 11:30 PM - Claw
- Severity changed from High to Very Low

While we aren't trying to ignore add-ons, we really need the situation to be replicated in stock in order to effectively track down the bug. If you have a
stock save file, that would help the best in this particular case.

#6 - 07/19/2016 12:47 AM - Crusoe

Sorry, I'm not sure what is a stock save file? | think | uploaded it already its the first file | attached.
Named: "quicksave - bug is still here.sfs"...

Or if this is not the one You looking for.. tell me where | find it. | copied the whole KSP folder (in case) before | installed a new one. | think | still have it
somewhere. | can look for it.

#7 - 07/19/2016 12:50 AM - Crusoe

Well If You mean the bug comes from a mod, yes that is probably the case... | still use mods but one or two (I suspected causing this bug) like
procedural fairings/parts | actually don't use them anymore and the bug is gone. Where can | report that bug then? At the modder's forum? | pretty
much think its the procedural parts or fairings... NathanKell's stuff (I thought he work for Squad too btw.)

#8 - 07/27/2016 08:28 AM - Crusoe

The bug come back in my new install... now explain me how | get a "stock" save? Should | build a ship with just stock parts? Should | uninstall all my
mods and look if the bug is still there and get a save file?

#9 - 07/27/2016 11:52 AM - Crusoe
- File screenshot1.jpg added

- File screenshot2.jpg added

- File mods.jpg added
https://bugs.kerbalspaceprogram.com/issues/9619

- File quicksave -bug reproduced.sfs added

| tried few things, and | think | was able to reproduce the bug.

| went to mun again and the bug appeared again so | designed a simple ship to test if it appears only on my "crazy" designs or any ship. So |
desingned a ship with just few parts on it. See schreenshot1.

The bug didnt appear on that ship. So | tested 1-2 ships addig parts, adjusting (moving/rotating) things the way | used to to test if thats the problem.
I built a ship where | hidden half of a battery inside the fueltank. Bug didn't come up. (I have no screenshot of that).

I built a 3rd ship (screenshot2) where | put a parachute on top of that battery (attached under and moved up) and also a small light (that comes from a
mod). So 3 parts sitting on the same spot and | think that may be the reason for the bug. | hope this help to investigate.

I've made a video of the operation as well, but it was too big to upload here so | uploaded to Youtube.
https://youtu.be/7DgHy4692Ew

| hope this will help you to find and fix the bug.

This time i'm using only a few mods (very few that can affect physics) maybe just tweakscale, infernal robotics.. But I'll just give a screenshot its easer
than write all them down.:D

| add a save file too finally.
If you require any other saves, craft file or something | can get, let me know.

Thanks
Robert

#10 - 07/28/2016 12:06 AM - Crusoe

The above situtiation, that was just a guess, but now I'm not sure because I've made a new ship to land at Minmus. That ship doesn't have parts
moved like that inside eachtoer... yet it did do orbit decay (it was a lander). Interestingly after | landed and went to orbit again first a lower orbit
10x10km and | get decay again...after that | went to a higher 100km orbit and the decay disappeared.. or it was so small it become unnoticable.

#11 - 08/07/2016 01:17 PM - Crusoe

May | ask why someone changed this "GAME BREAKING" thing to low priority? It is HIGH if not critical!

There is this.

And this #9619 (saying its solved but its not). | reported it earlier they said its a dublicate of #9619 and that is "solved". Now | have to say it is not
solved. It's still there.

And this #10104.

How can | play this game if in orbit of Minmus/Mun all my ships from 20km / 20km orbit become 18km/22km in like 30 seconds.. how can | even play?
This bug is completely GAME BREAKING! Should be at least HIGH priority if not even CRITICAL.

| realy dont understand this why some1 set it to Low....

| can't play properly now for months. | dont use any rare mods, | use commonly used mods like mechjeb, tweakscale and infernal robotics, KIS/KAS.
And a few more that I'am 100% sure do nothing with game phyisics (like BetterBurnTime, chatterer, camera focus changer).

Earlier my game run without any problem with a ton of mods. There is this giant, game breaking bug, and noone even working on it saying "we can't
reproduce in stock game save file"...

#12 - 08/07/2016 01:42 PM - Crusoe
I'm going to start now a new stock game. And | may add 1-1 mods until | find the guilty mod. | just can't exist without this game, sorry I'm addict to it.

This Bug has to be found.

#13 - 08/09/2016 03:41 AM - TriggerAu
- Related to Bug #9619: Orbital Decay/ Orbit changes without user input added

#14 - 08/09/2016 03:42 AM - TriggerAu
- Related to Bug #10330: Orbit changes without reason at Mun, not fixed. added

#15 - 08/09/2016 03:42 AM - TriggerAu
- Status changed from New to Duplicate

- % Done changed from 0 to 100

Linking this one to the root issue #9619 and closing this as a duplicate. It is marked as high priority
#16 - 11/05/2022 05:52 PM - jclovis3

Related to issue 24354, with any orbit with Pe below 100 km and Ap above it, while the craft is below 100 km the AP increases. When the craft rises
above 100 km, then the AP stops changing. | noticed this while aerobraking on Duna and Eve after exiting the atmosphere altitudes (50km and 90km

respectively) that the AP began to rise until the craft reached 100 km.
